Difference between revisions of "Troubleshooting Common Problems"

From PlayOnLinux
Jump to: navigation, search
(p11-kit: couldn't load module: ...)
Line 3: Line 3:
 
When trying a possible solution for an issue, please only try '''ONE''' solution at a time, and test to see if it worked.  
 
When trying a possible solution for an issue, please only try '''ONE''' solution at a time, and test to see if it worked.  
  
== p11-kit: couldn't load module: ... ==
+
== p11-kit: couldn't load module: ==
  
 
=== Error: ===
 
=== Error: ===

Revision as of 05:35, 6 March 2015

Here is a list of common errors and possible solutions. Not everything will be here, but this list will get a lot bigger as time goes on, and hopefully, with the help of the community, we can make this list very, very robust.

When trying a possible solution for an issue, please only try ONE solution at a time, and test to see if it worked.

p11-kit: couldn't load module:

Error:

p11-kit: couldn't load module: /usr/lib/i386-linux-gnu/pkcs11/p11-kit-trust.so: /usr/lib/i386-linux-gnu/pkcs11/p11-kit-trust.so: cannot open shared object file: No such file or directory

Who might encounter this error?

Mostly users of Debian, Ubuntu, Kubuntu, etc., Mint (and derivatives), 64-bit systems.

What causes this error?

The 32-bit version of p11-kit-trust.so is either not installed, or is not located in an area that Wine expected it to be.

Common solutions:

Install 32-bit version of p11-kit-trust.so

sudo apt-get install p11-kit-modules:i386

Create a symlink (found at http://askubuntu.com/a/384018)

sudo /usr/local/bin/getlibs -p p11-kit:i386
sudo ln -s /usr/lib32/i386-linux-gnu/pkcs11/p11-kit-trust.so /usr/lib/i386-linux-gnu/pkcs11/p11-kit-trust.so